Bug 495523 - PackageKit cannot get deps on a local file, rather than a package
PackageKit cannot get deps on a local file, rather than a package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 12:47 EDT by Christoph Wickert
Modified: 2010-06-09 10:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 07:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (73.68 KB, image/png)
2009-08-25 07:30 EDT, Richard Hughes
no flags Details

  None (edit)
Description Christoph Wickert 2009-04-13 12:47:55 EDT
Description of problem:
gpk-install-local-file behaves different than gpk-application. It does not warn if it needs to install additional packages and transactions do not show up in gpk-log. These two issues combined make it impossible to uninstall all related packages again.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.14-2.fc10.i386
Comment 1 Richard Hughes 2009-04-15 12:45:35 EDT
PackageKit limitation, which we'll need to throw some API at.
Comment 2 Richard Hughes 2009-08-20 11:40:04 EDT
We're working on better simulate support, and this gives us simulate_install_files() which lets me fix this bug.
Comment 3 Richard Hughes 2009-08-25 07:28:25 EDT
gnome-packagekit: 

commit 06fb6b0adf82d3dbb17c018e4f2b732806a2deb8
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Aug 25 12:23:11 2009 +0100

    Add simulation of installed files if the backend support it
Comment 4 Richard Hughes 2009-08-25 07:29:12 EDT
PackageKit:

commit e4af3c4017656d9e75d5f37238259c988551d213
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Aug 24 22:35:50 2009 +0100

    yum: add a simple implementation of SimulateInstallFiles

:100644 100644 d28c177... 53bb947... M  backends/yum/pk-backend-yum.c
:100755 100755 dbcf5f3... 15b26bf... M  backends/yum/yumBackend.py
Comment 5 Richard Hughes 2009-08-25 07:30:15 EDT
Created attachment 358557 [details]
screenshot

Note You need to log in before you can comment on or make changes to this bug.